Overview
GET
/ecosystem/ecosystem-regionsecosystemList ecosystem_regions
List ecosystem-regions.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- displayNamestring
- postgresHoststring
- railwayServiceIdstring
- isDefaultForNewProjectsboolean
- createdAtstring
Example
[
{
"id": "string",
"displayName": "string",
"postgresHost": "string",
"railwayServiceId": "string",
"isDefaultForNewProjects": true,
"createdAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();